%define with_db 1

Summary: Rsyslog, the enhanced syslogd for Linux and Unix 
Name: rsyslog
Version: 1.13.1
Release: 1
License: GPL
Group: System Environment/Daemons
URL: http://www.rsyslog.com/
Source0: rsyslog-%{version}.tar.gz
Source1: rsyslog.conf
Source2: rsyslog.init
Source3: rsyslog.log
Source4: rsyslog.sysconfig
Conflicts: logrotate < 3.5.2
%if %{with_db}
Requires: mysql >= 4.0
BuildRequires: mysql-devel >= 4.0
%endif
Requires: logrotate
Requires: bash >= 2.0
Requires(post): /sbin/chkconfig coreutils
Requires(preun): /sbin/chkconfig /sbin/chkconfig
Requires(postun): /sbin/service
Provides: syslog
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
Rsyslog is an enhanced multi-threaded syslogd supporting, among others, MySQL,
syslog/tcp, RFC 3195, permitted sender lists, filtering on any message part,
and fine grain output format control. It is quite compatible to stock sysklogd
and can be used as a drop-in replacement. Its advanced features make it suitable
for enterprise-class, encryption protected syslog relay chains while at the same
time being very easy to setup for the novice user.


%prep
%setup -q -n rsyslog-%{version}
%if %{with_db}
perl -pi -e 's/FEATURE_DB=0/FEATURE_DB=1/' linux/Makefile
perl -pi -e "s/lib\/mysql/%_lib\/mysql/" linux/Makefile
%endif

%build
pushd linux
make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{/etc,%{_sbindir},%{_mandir}/man{5,8},/usr/sbin}
mkdir -p $RPM_BUILD_ROOT/sbin

pushd linux
make install TOPDIR=$RPM_BUILD_ROOT MANDIR=$RPM_BUILD_ROOT%{_mandir} BINDIR=$RPM_BUILD_ROOT/sbin/ \
	MAN_OWNER=`id -nu`
popd

install -m644 %{SOURCE1} $RPM_BUILD_ROOT/etc/rsyslog.conf

mkdir -p $RPM_BUILD_ROOT/etc/{rc.d/init.d,logrotate.d,sysconfig}
install -m755 %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/rsyslog
install -m644 %{SOURCE3} $RPM_BUILD_ROOT/etc/logrotate.d/rsyslog
install -m644 %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/rsyslog

chmod 755 $RPM_BUILD_ROOT/sbin/rsyslogd
chmod 755 $RPM_BUILD_ROOT/sbin/rfc3195d

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add rsyslog
#mysql -ursyslog Syslog < /usr/share/doc/createDB.sql 2>/dev/null
for n in /var/log/{messages,secure,maillog,spooler}
do
	[ -f $n ] && continue
	umask 066 && touch $n
done

%preun
if [ $1 = 0 ]; then
   service rsyslog stop >/dev/null 2>&1 ||:
   /sbin/chkconfig --del rsyslog
fi

%postun
if [ "$1" -ge "1" ]; then
	service rsyslog condrestart > /dev/null 2>&1 ||:
fi	

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING INSTALL NEWS README.linux createDB.sql
%config(noreplace) %{_sysconfdir}/rsyslog.conf
%config(noreplace) %{_sysconfdir}/sysconfig/rsyslog
%config(noreplace) %{_sysconfdir}/logrotate.d/rsyslog
%{_sysconfdir}/rc.d/init.d/rsyslog
/sbin/*
%{_mandir}/*/*

%changelog
* Mon Jun 04 2007 Peter Vrabec <pvrabec@redhat.com> 1.13.1-1
- Initial rpm build
